<?php

namespace FM\Service;

use FM\Factory\FuncionarioFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class FuncionarioService {

    protected $FuncionarioFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (FuncionarioFactory $FuncionarioFactory, Environment $Environment, NewCode $newCode) {
        $this->FuncionarioFactory = $FuncionarioFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }

    public function getEmployee(){
        $operadores = $this->FuncionarioFactory->getEmployee();
        return $operadores;
    }
}

?>