<?php

namespace FM\Service;

use FM\Factory\ClienteFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;
use FM\Service\LogTransfergerchkService;

class ClienteService {

    protected $connection;
    protected $ClienteFactory;
    protected $Environment;
    protected $newCode;
    protected $LogTransfergerchkService;

    public function __construct (EntityManager $entityManager, LogTransfergerchkService $LogTransfergerchkService, ClienteFactory $ClienteFactory, Environment $Environment, NewCode $newCode) {
        $this->connection = $entityManager->getConnection();
        $this->ClienteFactory = $ClienteFactory;
        $this->LogTransfergerchkService = $LogTransfergerchkService;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }

    public function getClient(){
        $operadores = $this->ClienteFactory->getClient();
        return $operadores;
    }
}

?>